List all opportunities for a client
curl --request GET \
--url https://api.rampartcorporation.com/v2/opportunity \
--header 'Authorization: Bearer <token>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api.rampartcorporation.com/v2/opportunity"
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.rampartcorporation.com/v2/opportunity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"spendAnalyzed": 500000,
"savingsFound": 75000,
"savingsPercentage": 15,
"opportunities": [
{
"id": "123-456-789",
"category": "MRO",
"sourceVendor": {
"name": "Fastenal",
"domain": "fastenal.com"
},
"annualSpend": 132196,
"targetVendor": {
"name": "Grainger",
"domain": "grainger.com"
},
"annualSavings": {
"amount": 19168,
"percentage": 14.5
},
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
}Opportunity
List Opportunities
Retrieve a list of all savings opportunities for the authenticated client.
List all opportunities for a client
Authorizations
Bearer authentication header of the form Bearer <API_KEY>.
Headers
Client ID for authentication
Response
200 - application/json
Successfully retrieved opportunities summary with aggregated data
⌘I
